Insert or Embed Articulate Content into WordPress

Descripción

Inserta rápidamente contenido de Articulate, Captivate, iSpring, Lectora y más en una entrada o página. También es compatible con Articulate Storyline, Articulate Rise, Adobe Captivate, Lectora, Camtasia, iSpring, Elucidat, Gomo, Obisidian Black, MindManager o cualquier otra herramienta.

This plugin will add a new toolbar icon (the letter ‘a’) next to the ‘Add Media’ button on the Edit Post and Edit Page pages. Upon clicking this icon, you will have the ability to upload your published Articulate, Captivate, Lectora, Camtasia, iSpring, Elucidat, Gomo, Obisidian Black, MindManager, or any other tool’s content as a ZIP file. Once uploaded, the plugin will automatically extract the content, find the appropriate .html file, and add code to your post or page that will display your Articulate content as an iframe. Responsive IFrames, Lightbox, and other options like opening the content in a new window are included in the premium version.

If you’re using WordPress’s built-in Gutenberg editor, you’ll see a new e-learning block.

Inserta contenido de Articulate en WordPress Premium

Actualiza a la versión Premium del plugin

Premium is a significant upgrade to Trial that adds many tools including the ability to load content in a lightbox or new window, responsive iFrames, faster upload speeds, removes the elearningfreak.com branding, 13 themes to make your content look professional, custom launch buttons, disabling scrollbars, custom sizing, responsive IFrames, and much more including support for Captivate, Lectora, Camtasia, iSpring, Elucidat, Gomo, Obisidian Black, MindManager, or any other tool’s content. You can learn more about Premium here:

About | Features | Pricing | Download Premium Trial | Roadmap

Inserta cotenido de Articulate en la versión de prueba de WordPress

Funciona con todos los productos de Articulate como:

Rise

Storyline 1, 2, 3, y 360

Studio ’09 (Presenter, Engage y Quizmaker)

Studio ’13 (Presenter, Engage y Quizmaker)

Studio 360 (Presenter, Engage y Quizmaker)

Tanto este plugin como su versión Premium admiten productos de Articulate y de los siguientes:

¡Captivate, Lectora, Camtasia, iSpring, Elucidat, Gomo, Obisidian Black, MindManager o muchos otros!

Asistencia técnica Premium
Ofrecemos asistencia técnica limitada para este plugin en los foros de wordpress.org. Aquellas personas que hayan comprado el plugin Premium recibirán asistencia individualizada.

Cómo usarlo

Mira el vídeo del enlace de abajo para aprender a utilizar este plugin: https://www.youtube.com/watch?v=knst26fEGCw

Capturas

  • ¡Funciona con todas las herramientas, incluyendo Captivate, iSpring, Camtasia, Lectora, Articulate, Gomo, Eludicat, Adapt, Shift y muchás más!
  • Cómo funciona
  • Cómo subir Adobe Captivate
  • Cómo subir Articulate Rise
  • Cómo subir Lectora Online
  • ¡Funciona con Rise, Storyline 360, Storyline 3, Storyline 2, Storyline 1, Articulate Presenter, Engage, Quizmaker & y más!
  • Subir
  • Lightbox Settings

Bloques

Este plugin proporciona 1 bloque.

  • e-Learning

Instalación

  1. Sube la carpeta ‘insert-or-embed-articulate-into-wordpress’ al directorio /wp-content/plugins/
  2. Activa el plugin en menú ‘Plugins’ de WordPress

FAQ

¿Puedo probar la versión Premium?

Sí, puedes descargarlo aquí: https://www.elearningfreak.com. Incluye diferentes funciones que te animamos a probar. Compatible con los últimos temas y otros plugins del mercado.

¿Cómo elimino la marca «Powered by elearningfreak.com»?

Actualiza a la versión premium del plugin

¿Cómo lo utilizo en el editor Gutenberg?

Busca el nuevo bloque de contenido

¿Cómo lo utilizo para incluir contenido de Articulate?

Mira este vídeo: https://www.youtube.com/watch?v=AwcIsxpkvM4

Does this work well with Articulate’s new responsive and Modern Player in 360?

¡Sí! Recomendamos inhabilitar la barra de desplazamiento en las opciones de barra de desplazamiento si eliges iniciar un curso en un lightbox. Encontrarás esta opción al subir tu curso con este plugin, después de seleccionar la opción de lightbox.

¿Este plugin admite iFrames adaptativos?

Esta función solo está disponible en la versión Premium del plugin. Para más información, visita https://www.elearningfreak.com

¿Funciona bien con Rise?

¡Sí!

¿Funciona con contenido de Articulate Storyline?

Sí, funciona con todas las versiones de Articulate Storyline, incluido Storyline 360.

¿Qué ajustes debo hacer al publicar desde Storyline o Studio para evitar las barras de desplazamiento?

In Player Properties, set the player to «Scale player to fill browser window.» For more information, see:

https://community.articulate.com/series/74/articles/articulate-storyline-360-user-guide-how-to-change-the-browser-settings-and-player-size

¿Funciona con contenido de Adobe Captivate?

Sí, funciona con todas las versiones de Adobe Captivate. Aquí tienes una guía paso a paso: https://www.elearningfreak.com/upload-adobe-captivate-wordpress/

¿Funciona con contenido de iSpring?

Sí, funciona con todas las versiones de iSpring.

¿Qué otras herramientas admite este plugin?

Lectora, Camtasia, iSpring, Elucidat, Gomo, Obisidian Black, MindManager y cualquier otra herramienta

¿Puedo utlizarlo con contenido personalizado?

Sí, simplemente asegúrate de que tu archivo «.zip» contenga un archivo «.html» o «.htm» y se subirá y se incrustará en tu sitio WordPress como se espera.

Si borro el plugin, ¿qué sucede con el contenido que he subido?

El contenido subido se ha guardado en la carpeta wp-content / uploads / articulate_uploads de tu sitio. Tu contenido subido no se eliminará si borras este plugin.

¿Qué otras funciones incluye el plugin premium?

Ability to lightbox content with themes (as shown in the screencast), open the content in a new window using custom buttons or custom text links, ability to disable scrollbars, faster upload speeds, and much more. It also uses a different mechanism to upload content to workaround limits on your hosting server.

No veo el botón ‘a’ en el editor clásico o tengo problemas para subir contenido en el editor de Gutenberg. ¿Qué hago?

Para utilizar el plugin, debes tener permiso para ‘subir archivos’ en WordPress. Contacta con tu administrador para ello.

Aparece un error HTTP 200 al subir un archivo zip. ¿Cómo lo soluciono?

Parece que esto es un problema bastante común con las subidas en WordPress. Aquí tienes algunos debates del foro:

https://wordpress.org/support/topic/http-error-on-media-upload-7/

https://wordpress.org/support/topic/http-error-when-uploading-to-wordpress/

Muchos clientes han solucionado el problema instalando este plugin de WordPress:

https://www.elearningfreak.com/wp-content/uploads/2016/12/fix-200-error.zip

Para saber más sobre lo que hace este plugin, mira:

https://github.com/getsource/default-to-gd

Aquí tienes otra solución potencial para corregir el problema del lado del servidor:

http://www.inmotionhosting.com/support/edu/wordpress/http-image-error

Reseñas

21 de septiembre de 2021
We needed a user-friendly way to embed Articulate content into our LearnDash courses, and this plugin does exactly that - everything we needed to make life easy and no needlessly complicated steps or features to make life difficult.
24 de agosto de 2021
Nice and easy to do. It helps my company to embed the content for training and the customization is not that hard. Keep it up!
10 de junio de 2021
Very handy. Fast and accurate. I love this plugin. Only wish that the free version get atleast one more insert option like - LINK THAT OPENS IN ANOTHER WINDOW. But thanks developers.
Leer todas las 85 reseñas

Colaboradores y desarrolladores

«Insert or Embed Articulate Content into WordPress» es un software de código abierto. Las siguientes personas han colaborado con este plugin.

Colaboradores

«Insert or Embed Articulate Content into WordPress» ha sido traducido a 2 idiomas locales. Gracias a los traductores por sus contribuciones.

Traduce «Insert or Embed Articulate Content into WordPress» a tu idioma.

¿Interesado en el desarrollo?

Revisa el código , echa un vistazo al repositorio SVN o suscríbete al registro de desarrollo por RSS.

Registro de cambios

4.3000000009

Improved how some scripts and styles are loaded to increase performance when uploading and inserting content.

4.3000000008

Added a new support bot to the How to Use page that can be accessed from the Plugins page.

4.3000000007

Added a new How to Use page that can be accessed from the Plugins page. Added lots of under the hood fixes.

4.3000000006

Fixes issue where the WordPress file system has not been declared. Resolves random upload failures.

4.3000000005

Fixes compatibility with Buddyboss Platform

4.3000000004

Fixed compatibility issues specific to WordPress 5.6

4.3000000003

Upgrade the Freemius SDK to version 2.4.1

4.3000000002

Fix notice errors that display when debugging is turned on

4.3000000001

Lots of code cleanup and misc. fixes

4.3000000000

Misc. fixes

4.299999

Added support for WordPress 5.5

4.299998

Misc. fixes

4.299997

Misc. fixes

4.299996

Misc. fixes

4.299995

Updated the Gutenberg editor uploader to no longer use the WordPress REST API

4.299994

Misc. security fixes

4.299993

Updated help documentation and other misc. fixes

4.299992

Fixed issue in WordPress 5.4 where the e-Learning block upload buttons weren’t properly formatted and other misc. fixes.

4.299991

Fixed another issue where clicking outside of the modal in the Gutenberg editor would stop the upload.

4.29999

Updated error message when if FS_METHOD isn’t set to direct

4.29998

Fixed issue where clicking outside of the modal in the Gutenberg editor would stop the upload.

4.29997

Fixed another issue with Divi Builder where the content wouldn’t insert properly in Divi’s front end builder

4.29996

Traducciones corregidas

4.29995

Se ha solucionado el problema con Divi Builder

4.29994

Se ha solucionado el problema con las subidas que no se completaban en entornos de desarrollo locales como WAMP

Mensaje de error mejorado en varios sitios

Se han mejorado la llamadas con jquery

Se han solucionado varias incompatabilidades con otros plugins como WooCommerce en el editor Gutenberg

Se ha solucionado la compatabilidad con Avia Builder

4.29993

Se ha mejorado la asistencia para archivos SCORM y AICC.

Se ha añadido un nuevo mensaje al completarse una subida de archivo.

Se ha mejorado la asistencia para archivos grandes.

Otros cambios adicionales.

4.29992

Se ha renombrado una función para evitar problemas de compatibilidad con un plugin llamado PWS Core

4.29991

Se ha solucionado una vulnerabilidad de seguridad que permitía que un usuario suscriptor pudiese eliminar o renombrar contenido de forma remota. Actualiza Freemius SDK a la última versión.

4.2999

Se ha solucionado una vulnerabilidad de seguridad que permitía que un usuario fuera de WordPress ( a través de un curl u otro método) pudiese subir arhivos. Actualiza inmediatamente.

4.2998

Evita que se suban archivos PHP y evita que se ejecuten si ya están.

4.2997

Corregida una vulnerabilidad de seguridad en Freemius SDK. Por favor, actualiza inmediatamente.

Se ha corregido el problema donde no se mostraba si el servidor estaba ejecutando Apache 2.4.

Esto es lo que te has perdido de las últimas actualizaciones de la versión Premium (utiliza el código 42997 para obtener un 20% de descuento hoy):

Adds custom button functionality to «open in same window» & «open in new window.»

Se ha mejorado la interfaz de usuario con botones personalizados y se han corregido varios errores

4.2996

Corregida una vulnerabilidad de seguridad en el módulo tar. Por favor, actualiza inmediatamente.

4.2995

Se ha añadido asistencia a los servidores Pantheon

Se ha añadido asistencia para Fusion Builder

Se han añadido compatibilidades con el navegador Vivaldi

Muchas mejoras relacionadas con la subida de archivos.

Ya no se crearán directorios vacíos si falla la subida

4.2994

Se han añadido nuevos mensajes cuando ocurre un error. Se ha mejorado la función de subida como solución a las limitaciones de PHP.

4.2993

Resuelto el problema de que el traslado a un nuevo sitio puede provocar un error en la suscripción opcional.

4.2992

Added Gutenberg support via a new e-Learning block https://www.youtube.com/watch?v=knst26fEGCw – Fixed a bug where changing the title would result in a 404 on the content.

4.2991

Se ha resuelto el problema en el que el contenido no podía subirse a Divi

4.299

Resuelto el problema con los archivos MindManager que no se subían correctamente.

4.298

Added support for iSpring files published to Tin Can / xAPI

4.297

Se ha soluccionado el problema donde los clientes veían un error 404 en su contenido debido a un archivo o plugin de restricción de acceso mal configurado.

4.296

Misc. bug fixes and added «powered by» branding.

4.295

Added better support for Articulate Rise SCORM courses. Added better error messaging when an HTML file can’t be found.

4.294

Added support for CoursePress Learning Management System. This plugin also supports LearnPress and LearnDash

4.293

Se han corregido varios errores

4.292

Added support for Captivate, Lectora, Camtasia, iSpring, Elucidat, Gomo, Obisidian Black, MindManager, or any other tool’s content

4.291

Se han corregido varios errores

4.290

Se ha modificado la manera en la que se subían archivos. Ahora no tendrás que preocuparte de los límites de tamaño. También se ha inhabilitado el desplazamiento por defecto. ¿Quieres subir contenido creado en otras aplicaciones como Captivate, Lectora, Camtasia, iSpring, Elucidat, Gomo, Obisidian Black, MindManager u otra herramienta? El plugin premium es compatible con todos. Obtén más información en www.elearningfreak.com

4.289

Se han corregido varios errores relacionados con el tamaño de archivos en la versión de prueba. La versión premium utiliza un mecanismo diferente para subir tamaños grandes. Cambia a la versión premium si tu servidor tiene límites de subidas

4.288

Se ha resuelto el problema relacionado con un aviso PHP

4.287

Se han añadido diagnósticos

4.286

Elimina llamadas a googleapi para cargar ciertos estilos y desactiva el desplazamiento por defecto al insertar contenido

4.285

Se ha solucionado el problema con iframe

4.284

Advertencia en pie de página corregida

4.283

Resuelto el problema con el que JavaScript y CSS, relacionados con los lightboxes, se cargaban cuando no debían

4.28

Versión inicial